{% extends 'base.html' %}
{% block title %} List Users {% endblock %}
{% block content %}
    <div class="btn-group" role="group" aria-label="Basic example">
        <button type="button" class="btn btn-outline-primary btn-sm" data-bs-toggle="modal"
                data-bs-target="#createUser">Create User
        </button>
        <a href="#" class="btn btn-outline-success btn-sm disabled" tabindex="-1" role="button" aria-disabled="true">Import
            from CSV</a>
        <a href="#" class="btn btn-outline-success btn-sm disabled" tabindex="-1" role="button" aria-disabled="true">Connect
            to LDAP</a>

    </div>
    <table class="table table-hover table-bordered border-primary">
        <thead>
        <tr>
            <th>username</th>
            <th>last_name</th>
            <th>first_name</th>
            <th>email</th>
            <th>phone</th>
            <th>title</th>
            <th>department</th>
            <th>Action</th>

        </tr>
        </thead>
        <tbody>
        {% for user in all_users %}
            <tr>
                <td>{{ user.username }}</td>
                <td>{{ user.last_name }}</td>
                <td>{{ user.first_name }}</td>
                <td>{{ user.email }}</td>
                <td>{{ user.phone }}</td>
                <td>{{ user.title }}</td>
                <td>{{ user.department }}</td>
                <td>
                    <a class="bi bi-pencil-fill btn-success btn-sm"
                       onclick="copyResponseToBox('Updating User: {{ user.username }}',
                               'update_archive_title', '{% url 'update-user' user.id %}', 'update_body')"
                       data-bs-toggle="modal" data-bs-target="#updateUser"></a>

                    <a class="bi bi-trash btn-danger btn-sm"
                       onclick="copyResponseToBox('Delete User {{ user.username }} ?',
                               'delete_user', '{% url 'delete-users' user.id %}', 'delete_body')"
                       data-bs-toggle="modal" data-bs-target="#deleteUser"></a>

                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <!-- Modal Create User -->
    <div class="modal fade" id="createUser" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
         aria-labelledby="staticBackdropLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="staticBackdropLabel">Modal title</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form method="post" action="{% url 'create-user' %}">
                        {% csrf_token %}
                        {{ user_form.as_p }}
                        <button type="submit" class="btn btn-primary">Create User</button>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal Delete User -->
    <div class="modal fade" id="deleteUser" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="delete_user">Modal title</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body" id="delete_body">
                    <form method="post">
                        {% csrf_token %}
                        <button type="submit" form="cc" class="btn btn-danger">Delete</button>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal Update User  -->
    <div class="modal fade" id="updateUser" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="update_archive_title">Modal title</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body" id="update_body">

                    <form method="post">
                        {% csrf_token %}
                        <button type="submit" class="btn btn-danger">Update</button>
                    </form>
                </div>
            </div>
        </div>
    </div>

{% endblock %}